#!/bin/bash

# Script to compile and time each dft size

for f in ../src/spu*.c ; do
  SIZE=$(echo $f | sed 's/.*DFT\(.*\)\.c/\1/')
  sed -e "s/ROWS.*/ROWS ($SIZE * 2)/" -e "s/COLUMNS.*/COLUMNS ($SIZE * 2)/" stub.h.src > stub.h
  echo "-------------- Processing: $f. (size=$SIZE)"
  make SPULIB=$f
  sleep 1
done
